require 'rubygems'
require 'bundler/setup'
require 'active_record'
require 'fake_models/user'
require 'fake_models/group'

RSpec.configure do |config|
end

ActiveRecord::Base.establish_connection(
  :adapter  => "sqlite3",
  :database => ":memory:"
)

class CreateModels < ActiveRecord::Migration
  def self.up
    create_table :users do |t|
      t.string :name
    end

    create_table :groups do |t|
      t.string :name
    end

    create_table :sub_relations do |t|
      t.references :subscription, polymorphic: true
      t.references :subscriber, polymorphic: true
      t.timestamps
    end

    add_index :sub_relations,
      [:subscriber_id, :subscriber_type, :subscription_id, :subscription_type],
      unique: true,
      name: 'composite_subscribable_index'
  end
end

catch_output = CreateModels.up
